# Class IdATransport1

java.lang.Object
com.io7m.idstore.admin_client.internal.IdATransport1

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientCloseableType<IdAClientException>, com.io7m.hibiscus.api.HBIOOperationsType<IdAMessageType, IdAClientException>, com.io7m.hibiscus.api.HBTransportType<IdAMessageType, IdAClientException>, IdATransportType, AutoCloseable`

public final class IdATransport1 extends Object implements IdATransportType
The version 1 transport.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdATransport1(IdStrings inStrings, HttpClient inHttpClient, URI baseURI)`
  The version 1 transport.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `isClosed()`
  `com.io7m.hibiscus.api.HBReadType<IdAMessageType>`
  `receive(Duration timeout)`
  `void`
  `send(IdAMessageType message)`
  `void`
  `sendAndForget(IdAMessageType message)`
  `IdAMessageType`
  `sendAndWait(IdAMessageType message, Duration timeout)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdATransport1

    public IdATransport1(IdStrings inStrings, HttpClient inHttpClient, URI baseURI)
    The version 1 transport.
    Parameters:
      `inStrings` - The string resources
      `inHttpClient` - The HTTP client
      `baseURI` - The base URI

- ## Method Details

  - ### isClosed

    public boolean isClosed()
    Specified by:
      `isClosed` in interface `com.io7m.hibiscus.api.HBClientCloseableType<IdAClientException>`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `com.io7m.hibiscus.api.HBClientCloseableType<IdAClientException>`

  - ### receive

    public com.io7m.hibiscus.api.HBReadType<IdAMessageType> receive(Duration timeout) throws IdAClientException, InterruptedException
    Specified by:
      `receive` in interface `com.io7m.hibiscus.api.HBIOOperationsType<IdAMessageType, IdAClientException>`
    Throws:
      `IdAClientException`
      `InterruptedException`

  - ### send

    public void send(IdAMessageType message) throws IdAClientException, InterruptedException
    Specified by:
      `send` in interface `com.io7m.hibiscus.api.HBIOOperationsType<IdAMessageType, IdAClientException>`
    Throws:
      `IdAClientException`
      `InterruptedException`

  - ### sendAndForget

    public void sendAndForget(IdAMessageType message) throws IdAClientException, InterruptedException
    Specified by:
      `sendAndForget` in interface `com.io7m.hibiscus.api.HBIOOperationsType<IdAMessageType, IdAClientException>`
    Throws:
      `IdAClientException`
      `InterruptedException`

  - ### sendAndWait

    public IdAMessageType sendAndWait(IdAMessageType message, Duration timeout) throws IdAClientException, InterruptedException
    Specified by:
      `sendAndWait` in interface `com.io7m.hibiscus.api.HBIOOperationsType<IdAMessageType, IdAClientException>`
    Throws:
      `IdAClientException`
      `InterruptedException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`